## org.eclipse.datatools.sqltools.plan
Class PlanSupportRunnable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.sqltools.plan.PlanSupportRunnable

All Implemented Interfaces:
  java.lang.Comparable, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  GroupPlanSupportRunnable

    public abstract class PlanSupportRunnable

extends org.eclipse.core.runtime.jobs.Job

The base class which performs the operations to retrieve plan from database. TODO: implement run(IProgress) and handleEnd

Author:
  Hui Cao

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`PlanSupportRunnable()`
`PlanSupportRunnable(PlanRequest request, java.lang.String profileName, java.lang.String dbName)` Constructor

Method Summary
`java.sql.Connection` `getConnection()`
`PlanRequest` `getRequest()`
`void` `setConnection(java.sql.Connection conn)` Passes a connection in, otherwise this class will create a new connection to get the plan
`void` `setRequest(PlanRequest _request)`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, toString, wakeUp, wakeUp, yieldRule`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### PlanSupportRunnable

    public PlanSupportRunnable()

### PlanSupportRunnable

    public PlanSupportRunnable(PlanRequest request,
                               java.lang.String profileName,
                               java.lang.String dbName)

  Constructor

  Parameters:
    `request` - the plan request
    `profileName` - the profile name
    `dbName` - the database name

Method Detail

### getConnection

    public java.sql.Connection getConnection()

### setConnection

    public void setConnection(java.sql.Connection conn)

  Passes a connection in, otherwise this class will create a new connection to get the plan

  Parameters:
    `conn` - database connection

### getRequest

    public PlanRequest getRequest()

### setRequest

    public void setRequest(PlanRequest _request)

  Parameters:
    `_request` - The _request to set.